Get Trader Credentials (H2H)

This method returns the credentials necessary for Head-to-Head (H2H) integration related to a specific deal identified by its unique ID.
Provide your bearer token in the Authorization header when making requests to protected resources. Example: Authorization: Bearer 123.

Path Params
string
required

The InHouse DealID or legacy ID of the deal.

Headers
string
required

Bearer token for authenticating the request. Example: Authorization: Bearer 123.

Responses

{
  "account_number": "DE89370400440532013000",
  "account_owner": "Jane Doe",
  "short_account_number": "9300",
  "account_iban": "DE89370400440532013000",
  "account_swift": "DEUTDEFF",
  "account_phone": "+49123456789",
  "account_bic": "DEUTDEFF",
  "account_ewallet_name": "Jane's eWallet",
  "account_email": "[email protected]",
  "currency": { ... },
  "bank": { ... },
  "type": "iban"
}

{
  "error": "ERROR_ACCESS_TOKEN_INVALID",
  "message": "Access token is invalid.",
  "statusCode": 400
}

{
  "error": "ERROR_TOKEN_EXPIRED",
  "message": "Access token has expired.",
  "statusCode": 401
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json